<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SmarActActuatorAxis Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a8985499bfb226e8eb408d42795a725d8">_channelType</a></td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#accb0d3f73ca74eae8671d0357befc1a3">_fieldIDPositionMicrons</a></td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#af6dcef5df7963f49ed7adde1326f618c">_flip</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a064d0c39d2c86f47b98971cd852e21db">_isSensorMissing</a></td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#a6b6efecf3da0f3eeb32a4cd32479d995">_itsActuatorSystem</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a05cfdb4b4d674731c01174526cf732c0">_localID</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#aefaf412450d190aa93f35011622f46b2">_marginMicrons</a></td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#ade9139dcc1beec6a53850fd2025a4bb6">_name</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#abee08c3ea17bdd4e7ee139dfe7801495">_sensorType</a></td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#aff589b293bba5593dd00a11c08c99eeb">_stateManager</a></td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#ad9c507953fe8dbe152b1181752a668b4">_timeoutMs</a></td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a44f10b95649ce1f680513649431f8416">ActuatorAxis</a>(ActuatorSystem *actuatorSystem, StateManager &amp;stateManager, unsigned int localID)</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da">GetPositionSync</a>(double &amp;positionMicrons)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f">GetStatusSync</a>(unsigned int &amp;status)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df">GotoAsync</a>(double positionMicrons)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e">GotoSync</a>(double positionMicrons)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#ad54e13d0e12c207bf9a9d678e001a3b6">holdMs</a></td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a84bd56d2f617050a126ea78743302591">isSensorMissing</a>()</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd">itsActuatorSystem</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373">LocalID</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#abc90e3048dfb8b5895e62fab2a790a79">Name</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#ad5cd75d518794f34741e87a56930f9cc">RegisterFields</a>()</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546">SetClosedLoopMaxFrequency</a>(double frequencyHz)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767">SetClosedLoopMoveSpeed</a>(double speedMicronsPerSecond)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#a4393c05ae71e2764aba1b0c94edfad44">SetFlip</a>(signed int flip)</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a4ad17f758e0827fb831e8e9196f1b57e">SetHoldMs</a>(unsigned int holdMs)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#ac0db3ef6bc441ded27f4afbce6bcb033">SetMarginMicrons</a>(double marginMicrons)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classActuatorAxis.html#a25534aa53fbcfc4c97aa5bc03988f1d1">SetName</a>(QString name)</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9">SetOption</a>(AxisOption option, double value)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#aa28ad0cfdea546bfe989c73f8315ddba">SmarActActuatorAxis</a>(ActuatorSystem *actuatorSystem, StateManager &amp;stateManager, unsigned int channelType, unsigned int sensorType, unsigned int localID)</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065">StopSync</a>()</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266">UpdateState</a>()</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classActuatorAxis.html#ac7b79d4664ceae76696123345da1142e">~ActuatorAxis</a>()</td><td class="entry"><a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classSmarActActuatorAxis.html#a9576e55e7c43e28f1aaa1269d50b72c0">~SmarActActuatorAxis</a>()</td><td class="entry"><a class="el" href="classSmarActActuatorAxis.html">SmarActActuatorAxis</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
